Bug 500076 - esc not built with $RPM_OPT_FLAGS
esc not built with $RPM_OPT_FLAGS
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: esc (Show other bugs)
23
All Linux
low Severity medium
: ---
: ---
Assigned To: Jack Magne
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-05-10 14:04 EDT by Ville Skyttä
Modified: 2016-11-24 05:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2009-05-10 14:04:44 EDT
esc is not built with $RPM_OPT_FLAGS, see bug 496968 for more info.

A simplistic fix of setting CXXFLAGS="$RPM_OPT_FLAGS" before "make" appears to fix this at least to some extent, but causes a build failure with xulrunner-bin buffer overflow:

*** buffer overflow detected ***: ../../../dist/Linux2.6_x86_glibc_PTH_64_OPT.OBJ/xulrunner_build/dist/xulrunner/xulrunner-bin terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x7f11062174c7]
/lib64/libc.so.6[0x7f1106215370]
/lib64/libc.so.6[0x7f1106215a2b]
../../../dist/Linux2.6_x86_glibc_PTH_64_OPT.OBJ/xulrunner_build/dist/xulrunner/libxul.so(XRE_GetBinaryPath+0x5c)[0x7f110a3b6fc4]
../../../dist/Linux2.6_x86_glibc_PTH_64_OPT.OBJ/xulrunner_build/dist/xulrunner/xulrunner-bin[0x4019cf]
../../../dist/Linux2.6_x86_glibc_PTH_64_OPT.OBJ/xulrunner_build/dist/xulrunner/xulrunner-bin[0x40239d]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x7f1106136576]
../../../dist/Linux2.6_x86_glibc_PTH_64_OPT.OBJ/xulrunner_build/dist/xulrunner/xulrunner-bin[0x401819]
Comment 1 Bug Zapper 2009-06-09 11:36:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ville Skyttä 2009-09-17 13:15:52 EDT
Still affects 1.1.0-10.  Issues include at least $RPM_OPT_FLAGS not being used, and some binaries stripped during build.
Comment 3 Bug Zapper 2009-11-16 04:58:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:15:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ville Skyttä 2010-11-04 12:08:38 EDT
Still an issue with 1.1.0-12.fc14.

http://kojipkgs.fedoraproject.org/packages/esc/1.1.0/12.fc14/data/logs/x86_64/build.log
Comment 6 Ville Skyttä 2011-04-16 09:17:45 EDT
Problem persists with 1.1.0-14.fc15.

I find it curious that software called "Enterprise Security Client" is not built with the security related compiler flags that the whole distro is supposed to be built with and to a very large extent is, and that its maintainers have not bothered to post a single comment about this in almost 2 years.  What's up?
Comment 7 Ville Skyttä 2012-05-14 16:46:26 EDT
Problem persists in 1.1.0-16.fc18, and we're past the third no-maintainer-comments anniversary for it.  Ping?
Comment 8 Jack Magne 2012-05-14 17:52:28 EDT
Thanks, sorry was working on a higher pri issue.
Comment 9 Fedora End Of Life 2012-08-07 15:32:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Ville Skyttä 2012-08-11 04:11:21 EDT
(In reply to comment #8)
> Thanks, sorry was working on a higher pri issue.

Problem persists in 1.1.0-18.fc17.

http://kojipkgs.fedoraproject.org/packages/esc/1.1.0/18.fc17/data/logs/x86_64/build.log
Comment 11 Fedora End Of Life 2013-07-04 02:47:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Ville Skyttä 2013-07-07 06:12:04 EDT
1.1.0-20.fc19 is still affected, and another year+ has passed without maintainer action... so I went ahead and looked a bit into it myself. Various fixes are in git master, but build eventually fails from it (cannot find -lxpcom) so I didn't get far enough to trying to fix the actual issue in this bug.

Note that git master was lagging behind the f19 branch; now it's ahead again so please make sure the changes in it don't get accidentally lost on next update.
Comment 13 Fedora End Of Life 2015-01-09 16:39:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Jan Kurik 2015-07-15 11:22:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 15 Fedora End Of Life 2016-11-24 05:23:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.